<template>
  <div>
    <h1 class="mb-8">Since your hair loss started, have you noticed any abnormal changes to your nails such as pitting of nails or tiny dents on your nails?</h1>
    <div class="space-y-3 mb-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!radioSelected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin, referMixin],
  name: "YourHealth6",
  data() {
    return {
      choices: [
        'Yes',
        'No'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_6')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('We’ve hit a minor road bump.', 'It looks like the women’s personalized prescription solution isn’t compatible with your needs.\n\nYour specific symptoms indicate you may be suffering from a health issue that will not respond to this type of treatment. Contact your primary care physician to discuss other solutions.\n\nHowever, you may benefit from a different formula:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
